package com.pigbite.calc;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

/**
 * Multiply the specificed value by ten.
 * 
 * @author jez
 *
 */
public class CalculateValues extends HttpServlet
{

    
    private String amountParam;
    private int amount;
    
    /**
     * Handle the get request.
     * @see javax.servlet.http.HttpServlet#doGet(HttpServletRequest, 
     *                         HttpServletResponse)
     */
    public void doGet( HttpServletRequest request, HttpServletResponse response )
        throws ServletException, IOException
    {
        
        // Check the incoming value
        amountParam = request.getParameter( "amount" );
        
        if ( amountParam == null )
        {
            amount = 0;
        }
        else
        {
            amount = Integer.valueOf( amountParam ).intValue();
        }
        
        // Prepare the response
        
        response.setContentType( "text/html" );
        
        PrintWriter out = response.getWriter();
        
        out.println( "<html>" );
        out.println( "<head>" );
        out.println( "<title>Calculate Example</title>" );
        out.println( "</head>" );
        
        out.println( "<body>" );
        out.println( "<form action=\"calcvalue\" method=\"get\">" );
        
        // If the amount is greater than zero then display the amount
        // multiplied by 10.
        
        if ( amount > 0 )
        {
            out.println( amount + " multiplied by 10 is " + amount * 10 );
            out.println( "<br>" );
        }
        
        out.println( "<input type=\"text\" name=\"amount\" value=\"" + amount + "\">" );
        out.println( "<br>" );
        out.println( "<input type=\"submit\" name=\"submit\" value=\"Calculate Value\">" );
        out.println( "</form>" );
        out.println( "</body>" );
        out.println( "</html>" );
        
    }
    
    /**
     * Handle a post request
     * @see javax.servlet.http.HttpServlet#doPost(HttpServletRequest,
     * HttpServletResponse)
     */
    public void doPost( HttpServletRequest request,
                        HttpServletResponse response )
        throws ServletException, IOException
    {

        // Simply pass on to the get handler!
        doGet( request, response );
        
    }

}
