package com.pigbite.calc;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

/**
 * Multiply the specificed value by ten.
 * @author jez
 *
 */
public class CalculateValuesXML extends HttpServlet
{
    
    private String amountParam;
    private int amount;
    
    /**
     * Handle the get request.
     * @see javax.servlet.http.HttpServlet#doGet(
     * HttpServletRequest, HttpServletResponse)
     */
    public void doGet( HttpServletRequest request, HttpServletResponse response )
        throws ServletException, IOException
    {
        
        // Check the incoming value
        amountParam = request.getParameter( "amount" );
        
        if ( amountParam == null )
        {
            amount = 0;
        }
        else
        {
            amount = Integer.valueOf( amountParam ).intValue();
        }
        
        // Prepare the response
        
        response.setContentType( "text/plain" );
        
        PrintWriter out = response.getWriter();
        
        out.println( "<?xml version=\"1.0\"?>" );
        out.println( "<page>" );
    
        // If the amount is greater than zero then pass the amount
        // multiplied by 10.
        
        if ( amount > 0 )
        {
            out.println( "<amount>" + amount + "</amount>" );
            out.println( "<result>" + amount * 10 + "</result>" );
        }
        
        out.println( "</page>" );
        
    }
    
    /**
     * Handle a post request
     * @see javax.servlet.http.HttpServlet#doPost(
     * HttpServletRequest, HttpServletResponse)
     */
    public void doPost( HttpServletRequest request, HttpServletResponse response )
        throws ServletException, IOException
    {

        // Simply pass on to the get handler!
        doGet( request, response );
        
    }

}
